/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
export * as antiddosV1 from './antiddos-v1';
export * as asConfigurationV1 from './as-configuration-v1';
export * as asGroupV1 from './as-group-v1';
export * as asPolicyV1 from './as-policy-v1';
export * as asPolicyV2 from './as-policy-v2';
export * as blockstorageVolumeV2 from './blockstorage-volume-v2';
export * as cbrPolicyV3 from './cbr-policy-v3';
export * as cbrVaultV3 from './cbr-vault-v3';
export * as cceAddonV3 from './cce-addon-v3';
export * as cceClusterV3 from './cce-cluster-v3';
export * as cceNodePoolV3 from './cce-node-pool-v3';
export * as cceNodeV3 from './cce-node-v3';
export * as cesAlarmrule from './ces-alarmrule';
export * as computeBmsServerV2 from './compute-bms-server-v2';
export * as computeBmsTagsV2 from './compute-bms-tags-v2';
export * as computeFloatingipAssociateV2 from './compute-floatingip-associate-v2';
export * as computeFloatingipV2 from './compute-floatingip-v2';
export * as computeInstanceV2 from './compute-instance-v2';
export * as computeKeypairV2 from './compute-keypair-v2';
export * as computeSecgroupV2 from './compute-secgroup-v2';
export * as computeServergroupV2 from './compute-servergroup-v2';
export * as computeVolumeAttachV2 from './compute-volume-attach-v2';
export * as csbsBackupPolicyV1 from './csbs-backup-policy-v1';
export * as csbsBackupV1 from './csbs-backup-v1';
export * as cssClusterV1 from './css-cluster-v1';
export * as cssSnapshotConfigurationV1 from './css-snapshot-configuration-v1';
export * as ctsEventNotificationV3 from './cts-event-notification-v3';
export * as ctsTrackerV1 from './cts-tracker-v1';
export * as dcsInstanceV1 from './dcs-instance-v1';
export * as ddsInstanceV3 from './dds-instance-v3';
export * as dehHostV1 from './deh-host-v1';
export * as dmsInstanceV1 from './dms-instance-v1';
export * as dmsInstanceV2 from './dms-instance-v2';
export * as dmsTopicV1 from './dms-topic-v1';
export * as dmsUserPermissionV1 from './dms-user-permission-v1';
export * as dmsUserV2 from './dms-user-v2';
export * as dnsPtrrecordV2 from './dns-ptrrecord-v2';
export * as dnsRecordsetV2 from './dns-recordset-v2';
export * as dnsZoneV2 from './dns-zone-v2';
export * as dwsClusterV1 from './dws-cluster-v1';
export * as ecsInstanceV1 from './ecs-instance-v1';
export * as evsVolumeV3 from './evs-volume-v3';
export * as fwFirewallGroupV2 from './fw-firewall-group-v2';
export * as fwPolicyV2 from './fw-policy-v2';
export * as fwRuleV2 from './fw-rule-v2';
export * as identityAgencyV3 from './identity-agency-v3';
export * as identityCredentialV3 from './identity-credential-v3';
export * as identityGroupMembershipV3 from './identity-group-membership-v3';
export * as identityGroupV3 from './identity-group-v3';
export * as identityMappingV3 from './identity-mapping-v3';
export * as identityProjectV3 from './identity-project-v3';
export * as identityProtocolV3 from './identity-protocol-v3';
export * as identityProviderV3 from './identity-provider-v3';
export * as identityRoleAssignmentV3 from './identity-role-assignment-v3';
export * as identityRoleV3 from './identity-role-v3';
export * as identityUserGroupMembershipV3 from './identity-user-group-membership-v3';
export * as identityUserV3 from './identity-user-v3';
export * as imagesImageAccessAcceptV2 from './images-image-access-accept-v2';
export * as imagesImageAccessV2 from './images-image-access-v2';
export * as imagesImageV2 from './images-image-v2';
export * as imsDataImageV2 from './ims-data-image-v2';
export * as imsImageV2 from './ims-image-v2';
export * as kmsGrantV1 from './kms-grant-v1';
export * as kmsKeyV1 from './kms-key-v1';
export * as lbCertificateV2 from './lb-certificate-v2';
export * as lbCertificateV3 from './lb-certificate-v3';
export * as lbIpgroupV3 from './lb-ipgroup-v3';
export * as lbL7PolicyV2 from './lb-l7policy-v2';
export * as lbL7RuleV2 from './lb-l7rule-v2';
export * as lbListenerV2 from './lb-listener-v2';
export * as lbListenerV3 from './lb-listener-v3';
export * as lbLoadbalancerV2 from './lb-loadbalancer-v2';
export * as lbLoadbalancerV3 from './lb-loadbalancer-v3';
export * as lbMemberV2 from './lb-member-v2';
export * as lbMemberV3 from './lb-member-v3';
export * as lbMonitorV2 from './lb-monitor-v2';
export * as lbMonitorV3 from './lb-monitor-v3';
export * as lbPolicyV3 from './lb-policy-v3';
export * as lbPoolV2 from './lb-pool-v2';
export * as lbPoolV3 from './lb-pool-v3';
export * as lbRuleV3 from './lb-rule-v3';
export * as lbSecurityPolicyV3 from './lb-security-policy-v3';
export * as lbWhitelistV2 from './lb-whitelist-v2';
export * as logtankGroupV2 from './logtank-group-v2';
export * as logtankTopicV2 from './logtank-topic-v2';
export * as logtankTransferV2 from './logtank-transfer-v2';
export * as mrsClusterV1 from './mrs-cluster-v1';
export * as mrsJobV1 from './mrs-job-v1';
export * as natDnatRuleV2 from './nat-dnat-rule-v2';
export * as natGatewayV2 from './nat-gateway-v2';
export * as natSnatRuleV2 from './nat-snat-rule-v2';
export * as networkingFloatingipAssociateV2 from './networking-floatingip-associate-v2';
export * as networkingFloatingipV2 from './networking-floatingip-v2';
export * as networkingNetworkV2 from './networking-network-v2';
export * as networkingPortV2 from './networking-port-v2';
export * as networkingRouterInterfaceV2 from './networking-router-interface-v2';
export * as networkingRouterRouteV2 from './networking-router-route-v2';
export * as networkingRouterV2 from './networking-router-v2';
export * as networkingSecgroupRuleV2 from './networking-secgroup-rule-v2';
export * as networkingSecgroupV2 from './networking-secgroup-v2';
export * as networkingSubnetV2 from './networking-subnet-v2';
export * as networkingVipAssociateV2 from './networking-vip-associate-v2';
export * as networkingVipV2 from './networking-vip-v2';
export * as obsBucket from './obs-bucket';
export * as obsBucketObject from './obs-bucket-object';
export * as obsBucketPolicy from './obs-bucket-policy';
export * as rdsBackupV3 from './rds-backup-v3';
export * as rdsInstanceV1 from './rds-instance-v1';
export * as rdsInstanceV3 from './rds-instance-v3';
export * as rdsParametergroupV3 from './rds-parametergroup-v3';
export * as rdsReadReplicaV3 from './rds-read-replica-v3';
export * as rtsSoftwareConfigV1 from './rts-software-config-v1';
export * as rtsSoftwareDeploymentV1 from './rts-software-deployment-v1';
export * as rtsStackV1 from './rts-stack-v1';
export * as s3Bucket from './s3-bucket';
export * as s3BucketObject from './s3-bucket-object';
export * as s3BucketPolicy from './s3-bucket-policy';
export * as sdrsProtectedInstanceV1 from './sdrs-protected-instance-v1';
export * as sdrsProtectiongroupV1 from './sdrs-protectiongroup-v1';
export * as sfsFileSystemV2 from './sfs-file-system-v2';
export * as sfsShareAccessRulesV2 from './sfs-share-access-rules-v2';
export * as sfsTurboShareV1 from './sfs-turbo-share-v1';
export * as smnSubscriptionV2 from './smn-subscription-v2';
export * as smnTopicAttributeV2 from './smn-topic-attribute-v2';
export * as smnTopicV2 from './smn-topic-v2';
export * as swrDomainV2 from './swr-domain-v2';
export * as swrOrganizationPermissionsV2 from './swr-organization-permissions-v2';
export * as swrOrganizationV2 from './swr-organization-v2';
export * as swrRepositoryV2 from './swr-repository-v2';
export * as vbsBackupPolicyV2 from './vbs-backup-policy-v2';
export * as vbsBackupShareV2 from './vbs-backup-share-v2';
export * as vbsBackupV2 from './vbs-backup-v2';
export * as vpcBandwidthAssociateV2 from './vpc-bandwidth-associate-v2';
export * as vpcBandwidthV2 from './vpc-bandwidth-v2';
export * as vpcEipV1 from './vpc-eip-v1';
export * as vpcFlowLogV1 from './vpc-flow-log-v1';
export * as vpcPeeringConnectionAccepterV2 from './vpc-peering-connection-accepter-v2';
export * as vpcPeeringConnectionV2 from './vpc-peering-connection-v2';
export * as vpcRouteV2 from './vpc-route-v2';
export * as vpcSubnetV1 from './vpc-subnet-v1';
export * as vpcV1 from './vpc-v1';
export * as vpcepEndpointV1 from './vpcep-endpoint-v1';
export * as vpcepServiceV1 from './vpcep-service-v1';
export * as vpnaasEndpointGroupV2 from './vpnaas-endpoint-group-v2';
export * as vpnaasIkePolicyV2 from './vpnaas-ike-policy-v2';
export * as vpnaasIpsecPolicyV2 from './vpnaas-ipsec-policy-v2';
export * as vpnaasServiceV2 from './vpnaas-service-v2';
export * as vpnaasSiteConnectionV2 from './vpnaas-site-connection-v2';
export * as wafAlarmNotificationV1 from './waf-alarm-notification-v1';
export * as wafCcattackprotectionRuleV1 from './waf-ccattackprotection-rule-v1';
export * as wafCertificateV1 from './waf-certificate-v1';
export * as wafDatamaskingRuleV1 from './waf-datamasking-rule-v1';
export * as wafDomainV1 from './waf-domain-v1';
export * as wafFalsealarmmaskingRuleV1 from './waf-falsealarmmasking-rule-v1';
export * as wafPolicyV1 from './waf-policy-v1';
export * as wafPreciseprotectionRuleV1 from './waf-preciseprotection-rule-v1';
export * as wafWebtamperprotectionRuleV1 from './waf-webtamperprotection-rule-v1';
export * as wafWhiteblackipRuleV1 from './waf-whiteblackip-rule-v1';
export * as dataOpentelekomcloudAntiddosV1 from './data-opentelekomcloud-antiddos-v1';
export * as dataOpentelekomcloudCbrBackupIdsV3 from './data-opentelekomcloud-cbr-backup-ids-v3';
export * as dataOpentelekomcloudCbrBackupV3 from './data-opentelekomcloud-cbr-backup-v3';
export * as dataOpentelekomcloudCceAddonTemplateV3 from './data-opentelekomcloud-cce-addon-template-v3';
export * as dataOpentelekomcloudCceAddonTemplatesV3 from './data-opentelekomcloud-cce-addon-templates-v3';
export * as dataOpentelekomcloudCceClusterKubeconfigV3 from './data-opentelekomcloud-cce-cluster-kubeconfig-v3';
export * as dataOpentelekomcloudCceClusterV3 from './data-opentelekomcloud-cce-cluster-v3';
export * as dataOpentelekomcloudCceNodeIdsV3 from './data-opentelekomcloud-cce-node-ids-v3';
export * as dataOpentelekomcloudCceNodeV3 from './data-opentelekomcloud-cce-node-v3';
export * as dataOpentelekomcloudComputeAvailabilityZonesV2 from './data-opentelekomcloud-compute-availability-zones-v2';
export * as dataOpentelekomcloudComputeBmsFlavorsV2 from './data-opentelekomcloud-compute-bms-flavors-v2';
export * as dataOpentelekomcloudComputeBmsKeypairsV2 from './data-opentelekomcloud-compute-bms-keypairs-v2';
export * as dataOpentelekomcloudComputeBmsNicV2 from './data-opentelekomcloud-compute-bms-nic-v2';
export * as dataOpentelekomcloudComputeBmsServerV2 from './data-opentelekomcloud-compute-bms-server-v2';
export * as dataOpentelekomcloudComputeFlavorV2 from './data-opentelekomcloud-compute-flavor-v2';
export * as dataOpentelekomcloudComputeInstanceV2 from './data-opentelekomcloud-compute-instance-v2';
export * as dataOpentelekomcloudComputeInstancesV2 from './data-opentelekomcloud-compute-instances-v2';
export * as dataOpentelekomcloudCsbsBackupPolicyV1 from './data-opentelekomcloud-csbs-backup-policy-v1';
export * as dataOpentelekomcloudCsbsBackupV1 from './data-opentelekomcloud-csbs-backup-v1';
export * as dataOpentelekomcloudCssFlavorV1 from './data-opentelekomcloud-css-flavor-v1';
export * as dataOpentelekomcloudCtsTrackerV1 from './data-opentelekomcloud-cts-tracker-v1';
export * as dataOpentelekomcloudDcsAzV1 from './data-opentelekomcloud-dcs-az-v1';
export * as dataOpentelekomcloudDcsMaintainwindowV1 from './data-opentelekomcloud-dcs-maintainwindow-v1';
export * as dataOpentelekomcloudDcsProductV1 from './data-opentelekomcloud-dcs-product-v1';
export * as dataOpentelekomcloudDdsFlavorsV3 from './data-opentelekomcloud-dds-flavors-v3';
export * as dataOpentelekomcloudDdsInstanceV3 from './data-opentelekomcloud-dds-instance-v3';
export * as dataOpentelekomcloudDehHostV1 from './data-opentelekomcloud-deh-host-v1';
export * as dataOpentelekomcloudDehServerV1 from './data-opentelekomcloud-deh-server-v1';
export * as dataOpentelekomcloudDmsAzV1 from './data-opentelekomcloud-dms-az-v1';
export * as dataOpentelekomcloudDmsMaintainwindowV1 from './data-opentelekomcloud-dms-maintainwindow-v1';
export * as dataOpentelekomcloudDmsProductV1 from './data-opentelekomcloud-dms-product-v1';
export * as dataOpentelekomcloudDnsNameserversV2 from './data-opentelekomcloud-dns-nameservers-v2';
export * as dataOpentelekomcloudDnsZoneV2 from './data-opentelekomcloud-dns-zone-v2';
export * as dataOpentelekomcloudDwsFlavorsV2 from './data-opentelekomcloud-dws-flavors-v2';
export * as dataOpentelekomcloudIdentityAgencyV3 from './data-opentelekomcloud-identity-agency-v3';
export * as dataOpentelekomcloudIdentityAuthScopeV3 from './data-opentelekomcloud-identity-auth-scope-v3';
export * as dataOpentelekomcloudIdentityCredentialV3 from './data-opentelekomcloud-identity-credential-v3';
export * as dataOpentelekomcloudIdentityGroupV3 from './data-opentelekomcloud-identity-group-v3';
export * as dataOpentelekomcloudIdentityProjectV3 from './data-opentelekomcloud-identity-project-v3';
export * as dataOpentelekomcloudIdentityProjectsV3 from './data-opentelekomcloud-identity-projects-v3';
export * as dataOpentelekomcloudIdentityRoleCustomV3 from './data-opentelekomcloud-identity-role-custom-v3';
export * as dataOpentelekomcloudIdentityRoleV3 from './data-opentelekomcloud-identity-role-v3';
export * as dataOpentelekomcloudIdentityUserV3 from './data-opentelekomcloud-identity-user-v3';
export * as dataOpentelekomcloudImagesImageV2 from './data-opentelekomcloud-images-image-v2';
export * as dataOpentelekomcloudKmsDataKeyV1 from './data-opentelekomcloud-kms-data-key-v1';
export * as dataOpentelekomcloudKmsKeyV1 from './data-opentelekomcloud-kms-key-v1';
export * as dataOpentelekomcloudLbCertificateV3 from './data-opentelekomcloud-lb-certificate-v3';
export * as dataOpentelekomcloudLbFlavorV3 from './data-opentelekomcloud-lb-flavor-v3';
export * as dataOpentelekomcloudLbFlavorsV3 from './data-opentelekomcloud-lb-flavors-v3';
export * as dataOpentelekomcloudLbListenerV3 from './data-opentelekomcloud-lb-listener-v3';
export * as dataOpentelekomcloudLbLoadbalancerV3 from './data-opentelekomcloud-lb-loadbalancer-v3';
export * as dataOpentelekomcloudLbMemberIdsV2 from './data-opentelekomcloud-lb-member-ids-v2';
export * as dataOpentelekomcloudNatGatewayV2 from './data-opentelekomcloud-nat-gateway-v2';
export * as dataOpentelekomcloudNetworkingNetworkV2 from './data-opentelekomcloud-networking-network-v2';
export * as dataOpentelekomcloudNetworkingPortV2 from './data-opentelekomcloud-networking-port-v2';
export * as dataOpentelekomcloudNetworkingSecgroupRuleIdsV2 from './data-opentelekomcloud-networking-secgroup-rule-ids-v2';
export * as dataOpentelekomcloudNetworkingSecgroupV2 from './data-opentelekomcloud-networking-secgroup-v2';
export * as dataOpentelekomcloudObsBucket from './data-opentelekomcloud-obs-bucket';
export * as dataOpentelekomcloudObsBucketObject from './data-opentelekomcloud-obs-bucket-object';
export * as dataOpentelekomcloudRdsBackupV3 from './data-opentelekomcloud-rds-backup-v3';
export * as dataOpentelekomcloudRdsFlavorsV1 from './data-opentelekomcloud-rds-flavors-v1';
export * as dataOpentelekomcloudRdsFlavorsV3 from './data-opentelekomcloud-rds-flavors-v3';
export * as dataOpentelekomcloudRdsInstanceV3 from './data-opentelekomcloud-rds-instance-v3';
export * as dataOpentelekomcloudRdsVersionsV3 from './data-opentelekomcloud-rds-versions-v3';
export * as dataOpentelekomcloudRtsSoftwareConfigV1 from './data-opentelekomcloud-rts-software-config-v1';
export * as dataOpentelekomcloudRtsSoftwareDeploymentV1 from './data-opentelekomcloud-rts-software-deployment-v1';
export * as dataOpentelekomcloudRtsStackResourceV1 from './data-opentelekomcloud-rts-stack-resource-v1';
export * as dataOpentelekomcloudRtsStackV1 from './data-opentelekomcloud-rts-stack-v1';
export * as dataOpentelekomcloudS3BucketObject from './data-opentelekomcloud-s3-bucket-object';
export * as dataOpentelekomcloudSdrsDomainV1 from './data-opentelekomcloud-sdrs-domain-v1';
export * as dataOpentelekomcloudSfsFileSystemV2 from './data-opentelekomcloud-sfs-file-system-v2';
export * as dataOpentelekomcloudSfsTurboShareV1 from './data-opentelekomcloud-sfs-turbo-share-v1';
export * as dataOpentelekomcloudVbsBackupPolicyV2 from './data-opentelekomcloud-vbs-backup-policy-v2';
export * as dataOpentelekomcloudVbsBackupV2 from './data-opentelekomcloud-vbs-backup-v2';
export * as dataOpentelekomcloudVpcBandwidth from './data-opentelekomcloud-vpc-bandwidth';
export * as dataOpentelekomcloudVpcBandwidthV2 from './data-opentelekomcloud-vpc-bandwidth-v2';
export * as dataOpentelekomcloudVpcEipV1 from './data-opentelekomcloud-vpc-eip-v1';
export * as dataOpentelekomcloudVpcPeeringConnectionV2 from './data-opentelekomcloud-vpc-peering-connection-v2';
export * as dataOpentelekomcloudVpcRouteIdsV2 from './data-opentelekomcloud-vpc-route-ids-v2';
export * as dataOpentelekomcloudVpcRouteV2 from './data-opentelekomcloud-vpc-route-v2';
export * as dataOpentelekomcloudVpcSubnetIdsV1 from './data-opentelekomcloud-vpc-subnet-ids-v1';
export * as dataOpentelekomcloudVpcSubnetV1 from './data-opentelekomcloud-vpc-subnet-v1';
export * as dataOpentelekomcloudVpcV1 from './data-opentelekomcloud-vpc-v1';
export * as dataOpentelekomcloudVpcepPublicServiceV1 from './data-opentelekomcloud-vpcep-public-service-v1';
export * as dataOpentelekomcloudVpcepServiceV1 from './data-opentelekomcloud-vpcep-service-v1';
export * as dataOpentelekomcloudVpnaasServiceV2 from './data-opentelekomcloud-vpnaas-service-v2';
export * as provider from './provider';
